Get an availability calendar
Gateway module
GET/availability-calendars/{id}availabilityCalendars.get
A person's availability calendar. Returns one availability calendar with its `ETag`. A availability calendar the caller may not see returns 404.
- Requires the capability me.profile.write.
- OAuth scopes: me.
- Error statuses: 400, 401, 404, 429. Errors are RFC 9457 problem details.
Path and query parameters
| Field | Type | Required | Description |
|---|---|---|---|
| id | string (uuid) | Yes | Identifier of the availability calendar. |
| fields | Fields | No | Sparse fieldset: a comma-separated list of top-level fields to return. `id` is always returned.Constraints: pattern ^[a-z_][a-z0-9_]*(,[a-z_][a-z0-9_]*)*$ |
Response 200: AvailabilityCalendar
| Field | Type | Required | Description |
|---|---|---|---|
| id | string (uuid) | Yes | Identifier of the availability calendar. |
| created_at | string (date-time) | Yes | When the row was created. |
| updated_at | string (date-time) | Yes | When the row was last updated. |
| person_id | string (uuid) | Yes | Identifier of the owner. |
| time_zone | string | Yes | IANA time zone the local time was entered in.Constraints: pattern ^[A-Za-z_]+(\/[A-Za-z0-9_+-]+)*$ |
| visibility | "Private" | "Shared on Application" | "Public" | Yes | Who reads the calendar. |
{
"id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
"created_at": "2026-10-08T14:30:00Z",
"updated_at": "2026-10-08T14:30:00Z",
"person_id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
"time_zone": "America/New_York",
"visibility": "Private"
}Code samples
curl -X GET "$XOS_BASE_URL/availability-calendars/0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f" \
-H "Authorization: Bearer $XOS_API_KEY"const { data, etag } = await xos.availabilityCalendars.get("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f");response = xos.availability_calendars.get("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f")xos availability-calendars get 0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f